List Available Sub Agents
GET /agents/{agent_id}/available-sub-agentsParameters
Section titled “Parameters”| Name | In | Type | Notes | |
|---|---|---|---|---|
agent_id | path | string (uuid) | required | — |
q | query | string | null | optional | — |
Responses
Section titled “Responses”| Status | Description | Body |
|---|---|---|
200 | Successful Response | Page_AgentSummary_ |
422 | Validation Error | HTTPValidationError |
Example
Section titled “Example”curl -X GET https://your-deployment.example.com/agents/{agent_id}/available-sub-agents \ -H "Authorization: Bearer $COBRE_TOKEN"Response — Page_AgentSummary_
Section titled “Response — Page_AgentSummary_”| Field | Type | Notes | |
|---|---|---|---|
items | AgentSummary[] | required | — |
next_cursor | string | null | optional | — |
total | integer | null | optional | — |